'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsonRulesEngine = require('json-rules-engine');
var fs = require('fs');
var path = require('path');

function applyRules(data) {
  return new Promise(function (resolve, reject) {
    var filePath = path.resolve(__dirname, '../json-rules.json');
    fs.readFile(filePath, 'utf8', function (err, content) {
      if (err) {
        reject(err);
        return;
      }
      var rules = JSON.parse(content).decisions;
      console.log('json rules');
      console.log(rules);
      var engine = new jsonRulesEngine.Engine();
      rules.forEach(function (regla) {
        engine.addRule(regla);
      });
      engine.run(data).then(function (results) {
        return resolve([results]);
      })["catch"](function (error) {
        console.error('Error al ejecutar el motor de reglas:', error);
        reject(error);
      });
    });
  });
}

exports.applyRules = applyRules;
//# sourceMappingURL=engine-global-rules-lib.cjs.development.js.map
