import { Engine } from 'json-rules-engine';
import { readFile } from 'fs';
import { resolve } from 'path';

function applyRules(data) {
  return new Promise(function (resolve$1, reject) {
    var filePath = resolve(__dirname, '../json-rules.json');
    readFile(filePath, 'utf8', function (err, content) {
      if (err) {
        reject(err);
        return;
      }
      var rules = JSON.parse(content).decisions;
      console.log('json rules');
      console.log(rules);
      var engine = new Engine();
      rules.forEach(function (regla) {
        engine.addRule(regla);
      });
      engine.run(data).then(function (results) {
        return resolve$1([results]);
      })["catch"](function (error) {
        console.error('Error al ejecutar el motor de reglas:', error);
        reject(error);
      });
    });
  });
}

export { applyRules };
//# sourceMappingURL=engine-global-rules-lib.esm.js.map
