import { Engine, EngineResult, Rule } from 'json-rules-engine';
import * as fs from 'fs';
import * as path from 'path';

export function applyRules(data: any): Promise<any[]> {
  return new Promise((resolve, reject) => {
    const filePath = path.resolve(__dirname, '../json-rules.json');

    fs.readFile(filePath, 'utf8', (err, content) => {
      if (err) {
        reject(err);
        return;
      }

      const rules: Rule[] = JSON.parse(content).decisions;
      console.log('json rules');
      console.log(rules);

      const engine = new Engine();

      rules.forEach(regla => {
        engine.addRule(regla);
      });

      engine
        .run(data)
        .then((results: EngineResult) => resolve([results]))
        .catch(error => {
          console.error('Error al ejecutar el motor de reglas:', error);
          reject(error);
        });
    });
  });
}
